=== debian/changelog ===
golang-github-multiformats-go-multihash (0.2.3-1) unstable; urgency=medium

  * Initial release (Closes: #1108199)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 22 Jun 2025 17:58:59 -0400
