=== debian/control ===
Source: golang-github-multiformats-go-multihash
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-mr-tron-base58-dev,
 golang-github-multiformats-go-varint-dev,
 golang-github-spaolacci-murmur3-dev,
 golang-golang-x-crypto-dev,
 golang-lukechampine-blake3-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-multiformats-go-multihash
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-multiformats-go-multihash.git
Homepage: https://github.com/multiformats/go-multihash
XS-Go-Import-Path: github.com/multiformats/go-multihash

Package: golang-github-multiformats-go-multihash-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-mr-tron-base58-dev,
 golang-github-multiformats-go-varint-dev,
 golang-github-spaolacci-murmur3-dev,
 golang-golang-x-crypto-dev,
 golang-lukechampine-blake3-dev,
 ${misc:Depends}
Description: Go implementation of the Multihash format (development files)
 Multihash is a protocol that describes a hash digest using a self-describing
 format. It prefixes the hash with an identifier for the hashing algorithm and
 the length of the digest in bytes. This allows systems to handle various
 hashing algorithms in a unified way, providing flexibility and future-proofing
 without requiring prior knowledge of the specific hash function used.
 .
 This library provides functions for encoding and decoding Multihash values,
 summing data with various cryptographic hash functions into Multihash
 format, and verifying Multihash integrity.
 .
 It is a foundational component of content-addressed systems like IPFS,
 which rely on self-describing data for distributed and decentralized
 content verification.
 .
 This package contains the source code for the Go Multihash library,
 intended for use by other Go packages during compilation.

Package: go-multihash
Section: admin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Static-Built-Using: ${misc:Static-Built-Using}
Description: Go implementation of the Multihash format (program)
 Multihash is a protocol that describes a hash digest using a self-describing
 format. It prefixes the hash with an identifier for the hashing algorithm and
 the length of the digest in bytes. This allows systems to handle various
 hashing algorithms in a unified way, providing flexibility and future-proofing
 without requiring prior knowledge of the specific hash function used.
 .
 This library provides functions for encoding and decoding Multihash values,
 summing data with various cryptographic hash functions into Multihash
 format, and verifying Multihash integrity.
 .
 It is a foundational component of content-addressed systems like IPFS,
 which rely on self-describing data for distributed and decentralized
 content verification.
 .
 This package contains the 'multihash' executable command-line usage.
